## gcr-prompt-dialog gcr-prompt-dialog |

## Synopsis

    struct              GcrPromptDialog;
    struct              GcrPromptDialogClass;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkWidget
                   +----GtkContainer
                         +----GtkBin
                               +----GtkWindow
                                     +----GtkDialog
                                           +----GcrPromptDialog

## Implemented Interfaces

GcrPromptDialog implements AtkImplementorIface, GtkBuildable and GcrPrompt.

## Properties

      "choice-visible"           gboolean              : Read
      "confirm-visible"          gboolean              : Read
      "password-visible"         gboolean              : Read
      "warning-visible"          gboolean              : Read

## Description

## Details

### struct GcrPromptDialog

    struct GcrPromptDialog;

### struct GcrPromptDialogClass

    struct GcrPromptDialogClass {
    	GtkDialogClass parent_class;
    };

## Property Details

### The `"choice-visible"` property

      "choice-visible"           gboolean              : Read

Choice is visible.

Default value: FALSE

### The `"confirm-visible"` property

      "confirm-visible"          gboolean              : Read

Confirm field is visible.

Default value: FALSE

### The `"password-visible"` property

      "password-visible"         gboolean              : Read

Password field is visible.

Default value: FALSE

### The `"warning-visible"` property

      "warning-visible"          gboolean              : Read

Warning is visible.

Default value: FALSE